LINUX.ORG.RU

В проект ELevate добавлена поддержка EPEL

 , elevate,

В проект ELevate добавлена поддержка EPEL

0

2

Эндрю Лукошко, главный инженер

Привет, народ! Сегодня AlmaLinux OS Foundation спешит поделиться некоторыми важными новостями, которые касаются нашего проекта ELevate (проект, помогающий мигрировать между мажорными версиями RHEL-деривативов).

Раньше ELevate поддерживал только официальные репозитории (совершенно исключая сторонние). Однако команда AlmaLinux внесла значительные улучшения!

Мы счастливы сообщить, что первый шаг сделан, и теперь поддержка EPEL включена в проект ELevate, что обеспечивает плавную миграцию между CentOS 7 и AlmaLinux 8.

Пожалуйста, имейте в виду, что на данный момент поддержка EPEL работает только для AlmaLinux, а также пока не поддерживается миграция между EL8 и EL9, но мы запланировали решение этих вопросов на будущее!

Протестировать

>>> Источник

★★★★★

Проверено: hobbit ()
Последнее исправление: hobbit (всего исправлений: 1)

Я сначала, глядя на картинку, подумал речь про рендер какой. Потом понял что дело про какую то утилиту для обновления из одного в другое. Но всё равно суть осталась для меня в виде набора непонятных слов =)

LINUX-ORG-RU ★★★★★
()
Последнее исправление: LINUX-ORG-RU (всего исправлений: 1)
Ответ на: комментарий от LINUX-ORG-RU

Проект elevate помогает переехать с одного энтерпрайз-дериватива (или самой Шапки) на другой или обновиться с мажорного релиза на следующий. Это всё замутили, чтобы админы переезжали с 7 и 8 центоса на другие клоны без сильной боли.

Если предметно, то вот у Макса ЛОР на центос7, и допустим у него там софт из epel (основной сторонний репозиторий для энтерпрайза, но под крылом шапки и федоры).

Максу уже пора обновиться, ибо центос7 скоро всё. Если он выберет Альму, то вот пожалуйста, теперь можно это сделать не удаляя епелевский софт.

Вроде так.

papin-aziat ★★★★★
() автор топика
Ответ на: комментарий от R_He_Po6oT

А фиг знает. Я, когда Шапка нас забанила, решил этим скриптом переехать куда-нибудь с RHEL 8.2 (ЕМНИП). Переехал на Альму – получилось не очень. Разбекапил и переехал на Рокки – тоже фигня. Поставил с нуля Альму, перетащил все настройки – так и сижу с тех пор и в ус не дую (сейчас версия 8.8). Так что хз, времени много прошло, может сейчас работает хорошо.

papin-aziat ★★★★★
() автор топика
Ответ на: комментарий от thegoldone

Вам не угодишь: когда что-то выкидывают – плохо, когда добавляют – сами начинаете выкидывать.

papin-aziat ★★★★★
() автор топика

Нужен шеллскрипт для миграции на настоящую стабильную ОС - Slackware. Поддержка прям как у RHEL. Slackware 14.x вышел в 2012 году и еще обновляется. Иксы не выбрасывают, ключи не требуют, странных решений не принимается.

MOPKOBKA ★★★
()
Ответ на: комментарий от papin-aziat

Если цель – угодить всем, то провал гарантирован. При любом наборе исходных данных.

thegoldone
()
Ответ на: комментарий от thegoldone

Извините, я думал что :

Проще выбросить ЦентОС и все Шляпа-линуксы из использования. Проблема решена.

Это был совет …

mx__ ★★★★★
()

Опять новости про клоны шапки... Ну дайте хоть безмозглым клоунам людям отдохнуть...

Was2023
()
Ответ на: комментарий от papin-aziat

Проект elevate помогает переехать с одного энтерпрайз-дериватива (или самой Шапки) на другой

Смело, смело альму-пальму энтерпрайз-дистрибутивом назвать. Равно как и цент….

Максу уже пора обновиться, ибо центос7 скоро всё.

Проще тогда уже на оракл переехать, если сама шапка чем-то не устраивает. И не страдать всякой альмообразной маргинальщиной.

DrRulez ★★★
()
Ответ на: комментарий от papin-aziat

Переехал на Альму – получилось не очень. Разбекапил и переехал на Рокки – тоже фигня.

Вот собственно это все - что надо знать про «команду альма-линукса».

DrRulez ★★★
()
Ответ на: комментарий от papin-aziat

обновиться с мажорного релиза на следующий.

А в чём суть помощи? Программа решает проблемы вида «после апгрейда отвалилось вифи/вейланд/nfs/что-там-ещё-в-линуксах-может-сломаться»?

apt_install_lrzsz ★★★
()
Ответ на: комментарий от DrRulez

Смело, смело альму-пальму энтерпрайз-дистрибутивом назвать.

Бинарно совместим, срок поддержки такой же, на данный момент активно вплетается в экосистему шапка-федора, какие проблемы?

papin-aziat ★★★★★
() автор топика
Ответ на: комментарий от DrRulez

Оно может и нормально отработало, система загружалась и работала, но, ЕМНИП, после отработки скрипта высыпала кучка ошибок, ещё раз ЕМНИП, связанных с чем-то несущественным, а были ли ошибки в процессе загрузки – не помню, может что-то несущественное, так как всё работало. Однако чувство прекрасного (или перфекционизм, хз) с таким раскладом было не согласно. Вот и всё.

papin-aziat ★★★★★
() автор топика
Ответ на: комментарий от apt_install_lrzsz

Думаю, основные проблемы с брендами и чем-то шапко-специфичным, что иначе в клонах. Между клонами, думаю, проблемы только с брендированием. Соответственно, надо не только переехать с EL7 —> EL8 или EL8 —> EL9, но и заменить всё, что связано с одним брендом, на другой. Это категорически нетривиальная задача для ручной работы. Отсюда и смысл проекта.

papin-aziat ★★★★★
() автор топика
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.